package com.hh.lib_idcard;

/**
 * @Description:
 * @author: Xia WeiHao
 * @date: 2024/7/1
 */
public enum IDCardScanType {
    DEFAULT(-1),LiJiang(9999),XZX(4),NFC(1),TB(2),ER301(10),DX(9);



    private int value;
    IDCardScanType(int value){
        this.value = value;
    }
    public int getValue() {
        return value;
    }

    public static IDCardScanType fromValue(int value) {
        for (IDCardScanType type : IDCardScanType.values()) {
            if (type.getValue() == value) {
                return type;
            }
        }
        return DEFAULT; // 或者抛出一个异常，如果你确定这种情况不应该发生
    }
}
